/*
 *		PNG ---> FIMG
 *
 *	Attention : certains fichiers PNG ne passent pas cette
 *	moulinette, mais le bug est dans la bibliotheque de
 *	fonctions 'libpnglite'. Une solution de remplacement
 *	devrait etre a l'etude un de ces jours...
 */

#include  <stdio.h>
#include  <stdlib.h>
#include  <unistd.h>
#include  <string.h>

#include  "../floatimg.h"

int		verbosity = 0;

/* --------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
FloatImg	fimg;
int		foo;

	/*
 	 *   pas de traitement des options ?
 	 */

if (3 != argc) {
	fimg_print_version(1);
	fprintf(stderr, "usage:\n\t%s foo.png bar.fimg\n", argv[0]);
	exit(1);
	}

memset(&fimg, 0, sizeof(FloatImg));

foo = fimg_create_from_png(argv[1], &fimg);
if (foo) {
	fprintf(stderr, "%s : err %d, abort.\n", argv[0], foo);
	exit(1);
	}

if (verbosity)	fimg_describe(&fimg, argv[2]);

foo = fimg_dump_to_file(&fimg, argv[2], 0);
if (foo) {
	fprintf(stderr, "save as '%s' -> err %d\n", argv[2], foo);
	exit(1);
	}

return 0;
}
/* --------------------------------------------------------------------- */
